org.apache.jmeter.save.converters

## Class BooleanPropertyConverter

- java.lang.Object
- - org.apache.jmeter.save.converters.BooleanPropertyConverter

- All Implemented Interfaces:
    com.thoughtworks.xstream.converters.Converter, com.thoughtworks.xstream.converters.ConverterMatcher

      public class BooleanPropertyConverter
      extends Object
      implements com.thoughtworks.xstream.converters.Converter

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BooleanPropertyConverter()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `canConvert(Class arg0)`
    `static String` | `getVersion()` Returns the converter version; used to check for possible incompatibilities
    `void` | `marshal(Object obj, com.thoughtworks.xstream.io.HierarchicalStreamWriter writer, com.thoughtworks.xstream.converters.MarshallingContext arg2)`
    `Object` | `unmarshal(com.thoughtworks.xstream.io.HierarchicalStreamReader reader, com.thoughtworks.xstream.converters.UnmarshallingContext context)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BooleanPropertyConverter

          public BooleanPropertyConverter()

  - ### Method Detail

    - #### getVersion

          public static String getVersion()

      Returns the converter version; used to check for possible incompatibilities
      Returns:
        the version of this converter

    - #### canConvert

          public boolean canConvert(Class arg0)

      Specified by:
        `canConvert` in interface `com.thoughtworks.xstream.converters.ConverterMatcher`

    - #### marshal

          public void marshal(Object obj,
                              com.thoughtworks.xstream.io.HierarchicalStreamWriter writer,
                              com.thoughtworks.xstream.converters.MarshallingContext arg2)

      Specified by:
        `marshal` in interface `com.thoughtworks.xstream.converters.Converter`

    - #### unmarshal

          public Object unmarshal(com.thoughtworks.xstream.io.HierarchicalStreamReader reader,
                                  com.thoughtworks.xstream.converters.UnmarshallingContext context)

      Specified by:
        `unmarshal` in interface `com.thoughtworks.xstream.converters.Converter`

Copyright © 1998-2021 Apache Software Foundation. All Rights Reserved.